/**
 * Theme Name:     Divi Child Theme
 * Author:         OBBA Willi
 * Template:       Divi
 * Text Domain:	   divi-child-theme
 * Description:    Smart. Flexible. Beautiful. Divi is the most powerful theme in our collection.
 */


/* mobileMenu */
/*--------------------------------------*/

@media (max-width: 980px) {
/* Für mobile Dropdowns im Divi-Theme */
.et_mobile_menu .sub-menu li a:hover,
.et_mobile_menu .sub-menu li a:active {
background-color: #333 !important;
  }
}

/* Mobiles Menü auf volle Breite setzen */
.et_mobile_menu {
min-width: 100vw;
margin-left: -18vw;
margin-top: 10px;
}
/* Mobiles Menü auf volle Höhe setzen */
.et_mobile_menu {
min-height:100vh !important;
min-height: -webkit-fill-available;
padding-top:50px !important;
}
html {
height: -webkit-fill-available;
}

/* Animation entfernen um Verzögerung zu vermeiden */
.mobile_nav.opened .et_mobile_menu {
display:block !important;
}

/* X-Symbol im ausgeklappten mobilen Menü */
.mobile_nav.opened .mobile_menu_bar:before {
content: '\4d';
}


/* mainMenu */
/*----------------------------------------------------*/

/* Unterstrich für aktiven Hauptmenü-Link (bleibt auch bei Submenu sichtbar) */
.et-menu-nav > ul > li.current-menu-item > a:before,
.et-menu-nav > ul > li.current-menu-ancestor > a:before {
content: "";
background: #8500eb;
width: 112%; 
height: 2px; 
position: absolute;  
left: -6%; 
bottom: 40px;
}
/* Hover-Unterstreichung */
.et-menu-nav > ul > li > a:hover:before {
content: "";
background: #8500eb;
width: 112%;
height: 2px;
position: absolute;
left: -6%;
bottom: 40px;
}

/* Dropdown Menu Textgröße ändern */
.et-menu li li a  {
font-size: 16px !important; /* Hier eigene Schriftgröße eintragen */
}

/* Divi Dropdown Menü Links unterstreichen */
.et-menu li li a {
border-bottom:1px solid #ccc; /* Hier Breite und/oder Farbwert ändern */
width: 200px;
}

/* Submenu Hover Background */
.et-menu-nav .sub-menu li a:hover {
background-color: #ccc !important;
}

/* Divi Dropdown Menü Innenabstand entfernen */
.et_pb_menu .et-menu-nav>ul ul , .nav li li {
    padding:0;
}
.et-menu li li a {
width:200px;
}

/* Verhindert Änderung der MainNavigation */
.et-l--header .et-menu-nav {
transform: none !important;
transition: none !important;
}


/* anderes */
/*----------------------------------------------------*/

/*nach obnen rund*/
.et_pb_scroll_top.et-pb-icon {
border-radius:12%;
right:1rem;
}

/*Gallery Navigation ausblenden*/
.et_pb_gallery.et_slider_auto .et-pb-slider-arrows,
.et_pb_gallery.et_slider_auto .et-pb-controllers { 
display: none !important; 
}


